/**
 * FlpTime(Flappy Time)
 * (c) Kenta Cho (cs8k-cyu@asahi-net.or.jp)
 * http://www.asahi-net.or.jp/~cs8k-cyu/
 *
 * flptime.h(header file)
 */
#include "flptime_rsc.h"

#define TRUE 1
#define FALSE 0
#define randomize() SysRandom(TimGetTicks())
#define randN(N) ((((long) SysRandom(0)) * N) / ((long) sysRandomMax + 1))

typedef struct {
  int deg, amDeg;
  int gMv;
  int fMv, fmvTime;
  int gWidth, gwTime;
  int pWidth, pwTime;
  int ptPower;
} HandStatus;

typedef struct {
  int x1, y1, x2, y2;
  Boolean hrzt;
} ThickLine;
